OLD Passwords

Discussion of open issues, suggestions and bugs regarding usage of dbExpress drivers for MySQL in Delphi and C++Builder
Post Reply
Posts: 1
Joined: Thu 04 Nov 2004 20:44

OLD Passwords

Post by BazzaLB » Thu 04 Nov 2004 20:52


I'm using the latest registered version of the mySQL dbExpress driver (2.0). If I create users with the new style passwords (mysql 4.1) I always get an error when trying to connect to the mySQL database via the dbexpress driver. (I've tried direct and non-direct methods [ie indicating client library of libmysql in dbexpress driver setup]).

The error indicates that I possibly need to upgrade the client due to authorisation protocol incompatibility. (I have to use old-passwords on the server at the moment). Is this a dbexpress driver problem? If so, is this likely to be rectified soon and if not, what is the solution?..

Thanx in advance

(Sorry about not having the exact error wording handy)

Posts: 1693
Joined: Thu 28 Oct 2004 13:56

Post by Ikar » Fri 05 Nov 2004 13:17

In non-direct mode you are enough to update client library (libmysql.dll).
At the nearest time we are planning to release a new driver version with support of the new authentication protocol.

Post Reply